#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define upstream_name perlqt
%define rel 1
%global __provides_exclude_from %_docdir/%name/examples/.*
%global __requires_exclude_from %_docdir/%name/examples/.*
%define _exclude_files_from_autoprov %_docdir/%name/examples/.*
%define _with_qwt 1
%define perl_version %(rpm -q --qf '%%{epoch}:%%{version}' perl-base)

%define upstream_name perlqt

Name: perl-qt4
Summary: Qt bindings for Perl
Version: 4.14.3
Release: %mkrel %{rel}
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2 and Artistic and GPLv3 and LGPLv2
URL: http://www.kde.org
Source: http://download.kde.org/stable/%{version}/src/%{upstream_name}-%{version}.tar.xz
BuildRequires: smokeqt-devel >= 1:%{version}
BuildRequires: perl-devel
BuildRequires: cmake

Conflicts: perl-kde < 1:4.6.90

%description
A Qt4 bindings for perl language.

%files 
%doc MANIFEST README
%_bindir/puic4
%_bindir/prcc4_bin
%_bindir/qdbusxml2perl
%perl_sitearch/Qt*.pm
%perl_sitearch/QtCore4
%perl_sitearch/auto/Qt*
%perl_sitelib/*/Phonon.pm
%perl_sitelib/*/QImageBlitz.pm
%perl_sitelib/*/Qsci.pm
%if %{_with_qwt}
%perl_sitelib/*/Qwt.pm
%perl_sitelib/*/auto/Qwt/Qwt.so
%endif
%perl_sitelib/*/auto/Phonon/Phonon.so
%perl_sitelib/*/auto/QImageBlitz/QImageBlitz.so
%perl_sitelib/*/auto/Qsci/Qsci.so
%exclude %_docdir/perl-qt4/examples

#------------------------------------------------------------------------------

%package devel
Summary: Headers files for %{name}
Group: Development/KDE and Qt
Requires: smokeqt-devel >= 1:%version
Requires: %{name} = %epoch:%version-%release
# in PerlQtExport-release.cmake, IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE
# includes path to libperl.so
Requires: perl-base = %{perl_version}

%description devel
Headers files for %{name}

%files devel
%dir %_includedir/%upstream_name
%_includedir/%upstream_name/QtCore4.h
%_includedir/%upstream_name/binding.h
%_includedir/%upstream_name/handlers.h
%_includedir/%upstream_name/listclass_macros.h
%_includedir/%upstream_name/marshall.h
%_includedir/%upstream_name/marshall_basetypes.h
%_includedir/%upstream_name/marshall_complex.h
%_includedir/%upstream_name/marshall_macros.h
%_includedir/%upstream_name/marshall_primitives.h
%_includedir/%upstream_name/marshall_types.h
%_includedir/%upstream_name/perlqt.h
%_includedir/%upstream_name/ppport.h
%_includedir/%upstream_name/smokehelp.h
%_includedir/%upstream_name/smokeperl.h
%_includedir/%upstream_name/util.h
%dir %_datadir/%upstream_name
%_datadir/%upstream_name/cmake/FindPerlMore.cmake
%_datadir/%upstream_name/cmake/PerlQtConfig.cmake
%_datadir/%upstream_name/cmake/PerlQtExport-release.cmake
%_datadir/%upstream_name/cmake/PerlQtExport.cmake
%_datadir/%upstream_name/doxsubpp.pl

#------------------------------------------------------------

%package examples
Summary: PyQt 4 examples
BuildArch: noarch
Group: Development/KDE and Qt

%description examples
PyQt 4 documentation

%files examples
%doc %_docdir/%name/examples

#------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}

%build
export LD=/usr/bin/ld.gold 
%cmake_qt4 -DENABLE_GUI_TESTS=ON
%make

%install
%makeinstall_std -C build

# Package examples
mkdir -p %buildroot%_docdir/perl-qt4/examples
for i in phonon qtgui ;
do 
    mkdir -p %buildroot%_docdir/perl-qt4/examples/$i
    cp -fr $i/examples/* %buildroot%_docdir/perl-qt4/examples/$i
done


%changelog
* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800682
- Update to KDE SC 4.14.3
- requires perl-base strict version

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787780
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 747844
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734634
- Update to KDE SC 4.14.1

* Thu Sep 25 2014 lmenut <lmenut> 1:4.14.0-3.mga5
+ Revision: 724731
- rebuild for perl 5.20.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 687055
- Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667568
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663080
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656758
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653943
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652054
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636817
- Update to KDE SC 4.13.2

* Tue Jun 03 2014 pterjan <pterjan> 1:4.13.1-2.mga5
+ Revision: 631934
- Rebuild for perl 5.20

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625584
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615665
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609477
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606918
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603425
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600816
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Fri Feb 14 2014 fwang <fwang> 1:4.12.2-1.mga5
+ Revision: 591052
- link patch merged upstream

  + neoclust <neoclust>
    - New version 4.12.2

* Wed Feb 12 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589748
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga5
+ Revision: 555076
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551348
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 539827
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490803
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476890
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465232
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458994
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455379
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448004
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435378
- Update tarball to KDE SC 4.10.4

* Wed May 29 2013 fwang <fwang> 1:4.10.3-2.mga4
+ Revision: 430301
- rebuild for new perl

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428484
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407294
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401951
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394457
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 375541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339568
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334619
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Enable qwt bindings

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326820
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320338
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316238
- Update tarball to KDE SC 4.9.3

* Sun Oct 28 2012 fwang <fwang> 1:4.9.2-4.mga3
+ Revision: 310936
- filter provides and requires from example files

* Sun Oct 28 2012 fwang <fwang> 1:4.9.2-3.mga3
+ Revision: 310932
- exclude example from main package

* Sat Oct 27 2012 neoclust <neoclust> 1:4.9.2-2.mga3
+ Revision: 310589
- Package examples

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301910
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289681
- Update tarball to KDE SC 4.9.1
- Remove unused BuildRequires

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276633
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269722
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265487
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257196
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga3
+ Revision: 228437
- new version 4.8.2

* Fri Mar 09 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 221894
- update file list
- fix linkage
- new version 4.8.1

  + mikala <mikala>
    - New upstream tarball

* Wed Jan 25 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 201119
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190881
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185801
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182213
- Update tarball to KDE SC 4.7.90
- fix macros usage
- fix BuildRequires
- use gold for linker

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176570
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161426
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151990
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140680
- Update tarball to KDE SC 4.7.1
- Fix license tag
- Fix BuildRequires
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use kde4 macros

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122561
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-2.mga2
+ Revision: 115968
- Fix file list
- Add missing requires for -devel package
- Add more requires for -devel package
- Add conflicts against perl-kde
- imported package perl-qt4

